'use strict';

angular.module('qusion.ui.colorbox', [])
.directive('qnColorbox', [
    function () {
        return {
            require: '?ngModel',
            link: function (scope, element, attr) {
                var options = {};
                
                var settings = {
                    rel: 'group1',
                    width:"75%",
                    height:"75%"
                };

                options = angular.extend({}, settings, scope.$eval(attr.qnColorbox));
                
                element.colorbox(options);
            }
        };
    }
])